# Package com.google.android.exoplayer2.source.rtsp

- Class Summary
  Class | Description
  --- | ---
  RtpPacket | Represents the header and the payload of an RTP packet.
  RtpPacket.Builder | Builder class for an `RtpPacket`
  RtpPayloadFormat | Represents the payload format used in RTP.
  RtpUtils | Utility methods for RTP.
  RtspMediaSource | An Rtsp `MediaSource`
  RtspMediaSource.Factory | Factory for `RtspMediaSource`

- Exception Summary
  Exception | Description
  --- | ---
  RtspMediaSource.RtspPlaybackException | Thrown when an exception or error is encountered during loading an RTSP stream.